<?xml version="1.0" encoding="UTF-8" ?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>net.e621</groupId>
	<artifactId>e6l</artifactId>
	<version>0.1</version>
	<repositories>
		<repository>
			<snapshots><enabled>false</enabled></snapshots>
			<id>central</id>
			<name>bintray</name>
			<url>http://jcenter.bintray.com</url>
		</repository>
		<repository>
			<snapshots><enabled>false</enabled></snapshots>
			<id>bintray-kotlin-exposed</id>
			<name>bintray</name>
			<url>https://dl.bintray.com/kotlin/exposed</url>
		</repository>
	</repositories>
	<properties>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<kotlin.compiler.incremental>true</kotlin.compiler.incremental>
		<kotlin.compiler.jvmTarget>1.8</kotlin.compiler.jvmTarget>
		<kotlin.version>1.3.0</kotlin.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.jetbrains.kotlin</groupId>
			<artifactId>kotlin-stdlib</artifactId>
			<version>${kotlin.version}</version>
		</dependency>
		<dependency>
			<groupId>no.tornado</groupId>
			<artifactId>tornadofx</artifactId>
			<version>1.7.16</version>
		</dependency>
		<dependency>
			<groupId>com.squareup.okhttp3</groupId>
			<artifactId>okhttp</artifactId>
			<version>3.11.0</version>
		</dependency>
		<dependency>
			<groupId>com.beust</groupId>
			<artifactId>klaxon</artifactId>
			<version>3.0.1</version>
		</dependency>
		<dependency>
			<groupId>org.jetbrains.exposed</groupId>
			<artifactId>exposed</artifactId>
			<version>0.10.4</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.jetbrains.kotlin</groupId>
				<artifactId>kotlin-maven-plugin</artifactId>
				<version>${kotlin.version}</version>
				<executions>
					<execution>
						<id>compile</id>
						<phase>compile</phase>
						<goals><goal>compile</goal></goals>
						<configuration>
							<sourceDirs><sourceDir>${project.basedir}/src</sourceDir></sourceDirs>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
